Client A P I
Write file contents
Writes the raw request body to a server file. This endpoint does not expect a JSON wrapper for the file contents.
POST
/api/client/servers/{server_uuid}/files/writeAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
Query Parameters
file*string
Path to the file to write.
Request Body
text/plain
TypeScript Definitions
Use the request body type in TypeScript.
body*ClientWriteFileContentsRequest
Raw file contents to write.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/files/write?file=%2Fserver.properties" \ -H "Content-Type: text/plain" \ -d 'motd=A Minecraft Server server-port=25565'Empty